summaryrefslogtreecommitdiffstats
path: root/ci/ci_run_all_plugin_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/ci_run_all_plugin_tests.sh')
-rwxr-xr-xci/ci_run_all_plugin_tests.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/ci/ci_run_all_plugin_tests.sh b/ci/ci_run_all_plugin_tests.sh
index 9e29d7e1..3505e2c0 100755
--- a/ci/ci_run_all_plugin_tests.sh
+++ b/ci/ci_run_all_plugin_tests.sh
@@ -30,11 +30,19 @@ cd tests/PySys/
sudo tedge config set software.plugin.default apt
-pysys.py run -v DEBUG 'apt_*' -XmyPlatform='container'
+set +e
+pysys.py run --record -v DEBUG 'apt_*' -XmyPlatform='container'
+set -e
+
+mv __pysys_junit_xml pysys_junit_xml_apt
sudo cp ../../plugins/tedge_docker_plugin/tedge_docker_plugin.sh /etc/tedge/sm-plugins/docker
-pysys.py run -v DEBUG 'docker_*' -XmyPlatform='container' -Xdockerplugin='dockerplugin'
+set +e
+pysys.py run --record -v DEBUG 'docker_*' -XmyPlatform='container' -Xdockerplugin='dockerplugin'
+set -e
+
+mv __pysys_junit_xml pysys_junit_xml_docker
sudo rm -f /etc/tedge/sm-plugins/docker